| Home | Libraries | People | FAQ | More

#### http::basic_string_body

A Body using `std::basic_string`

##### Synopsis

Defined in header `<boost/beast/http/string_body.hpp>`

    template<
        class CharT,
        class Traits = std::char_traits<CharT>,
        class Allocator = std::allocator<CharT>>
    struct basic_string_body

##### Types

Name | Description
--- | ---
reader | The algorithm for parsing the body.
value_type | The type of container used for the body.
writer | The algorithm for serializing the body.

##### Static Member Functions

Name | Description
--- | ---
size | Returns the payload size of the body.

##### Description

This body uses `std::basic_string` as a memory-based container for holding message payloads. Messages using this body type may be serialized and parsed.